[pacman] conflit gcc-libs & gcc-libs-multilib (résolu)

Mise à jour / Création /debug de paquetages
Répondre
Avatar de l’utilisateur
Feng
yeomen
Messages : 273
Inscription : mer. 07 avr. 2010, 20:19

[pacman] conflit gcc-libs & gcc-libs-multilib (résolu)

Message par Feng » sam. 21 janv. 2012, 16:04

Bonjour,

Je ne comprends décidément toujours rien au système de multilib !

J'ai mis à jour pacman & yaourt avec succès il y a 3 jours il me semble (pacman 4 & cie). Il y a visiblement une nouvelle release de correction. Ayant dans mon pacman.conf :

Code : Tout sélectionner

SyncFirst   = pacman pacman-color yaourt package-query gcc-gcj ghc libtool
On me propose de mettre à jour yaourt d'abord, j'accepte et reçois :

Code : Tout sélectionner

:: gcc-libs et gcc-libs-multilib sont en conflit. Supprimer gcc-libs-multilib ? [o/N]
Donc il faut gcc-libs pour mettre à jour yaourt mais il me faut gcc-libs-multilib pour plein d'applications.

WTF ?
Dernière modification par Feng le sam. 21 janv. 2012, 20:29, modifié 1 fois.

benjarobin
Maître du Kyudo
Messages : 15565
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [Conflit] gcc-libs & gcc-libs-multilib

Message par benjarobin » sam. 21 janv. 2012, 16:13

Sujet déjà présent il suffit de ne pas mettre à jour de suite yaourt, mais le reste avec.
Donc il faut répondre non !
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Avatar de l’utilisateur
Feng
yeomen
Messages : 273
Inscription : mer. 07 avr. 2010, 20:19

Re: [Conflit] gcc-libs & gcc-libs-multilib [RESOLU]

Message par Feng » sam. 21 janv. 2012, 20:29

Ah, je croyais que c'était obligatoire, que sinon ça annulait la mise à jour

Merki =)

Goda
Daikyu
Messages : 57
Inscription : mar. 09 nov. 2010, 13:56

Re: [Conflit] gcc-libs & gcc-libs-multilib [RESOLU]

Message par Goda » mar. 24 janv. 2012, 22:05

Salut

Je relance le sujet. Chez moi pas moyen de mettre à jour

Code : Tout sélectionner

:: Les paquets suivants devraient être mis à jour en premier :
    yaourt  package-query
:: Voulez-vous annuler l'opération courante et
:: mettre à jour ces paquets maintenant ? [O/n] n

résolution des dépendances...
Avertissement : cycle de dépendances détecté :
Avertissement : lib32-gcc-libs sera installé avant sa dépendance gcc-libs-multilib
recherche des conflits entre paquets...
Erreur : la préparation de la transaction a échoué (la satisfaction des dépendances a échoué)
:: gcc : requiert gcc-libs=4.6.2-5
J'ai essayé quelques bidouilles mais rien n'y fait...

Avatar de l’utilisateur
Feng
yeomen
Messages : 273
Inscription : mer. 07 avr. 2010, 20:19

Re: [Conflit] gcc-libs & gcc-libs-multilib [RESOLU]

Message par Feng » mar. 24 janv. 2012, 22:09

wow, ça fait combien de temps que tu n'as pas mis à jour ton système ?

lib32-gcc-libs n'existe plus et a été remplacé par gcc-libs-multilib.

Peut-être en faisant pacman -S gcc-libs-multilib avant tout ?

benjarobin
Maître du Kyudo
Messages : 15565
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [Conflit] gcc-libs & gcc-libs-multilib [RESOLU]

Message par benjarobin » mar. 24 janv. 2012, 22:23

lib32-gcc-libs existe toujours ! http://www.archlinux.org/packages/multi ... -gcc-libs/
Feng Ce n'est pas bien de poster avant de vérifier

Dans tous les cas il faut ouvrir un nouveau sujet (FoolEcho ou un autre modérateur peut le déplacer ?)
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Avatar de l’utilisateur
Feng
yeomen
Messages : 273
Inscription : mer. 07 avr. 2010, 20:19

Re: [Conflit] gcc-libs & gcc-libs-multilib [RESOLU]

Message par Feng » mar. 24 janv. 2012, 22:28

alors j'ai définitivement rien compris à multilib, ça sert à quoi ?!!

benjarobin
Maître du Kyudo
Messages : 15565
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [Conflit] gcc-libs & gcc-libs-multilib [RESOLU]

Message par benjarobin » mar. 24 janv. 2012, 22:45

multilib sert à fournit une version 32 bits d'un paquet pour les systèmes 64 bits
Sinon tu es sûre d'avoir bien synchroniser et d'utiliser un unique miroir pour tous les dépôts.
Quel est la sortie de

Code : Tout sélectionner

pacman -Syyuu --debug
pacman -Sii lib32-gcc-libs gcc-libs-multilib
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Avatar de l’utilisateur
Feng
yeomen
Messages : 273
Inscription : mer. 07 avr. 2010, 20:19

Re: [Conflit] gcc-libs & gcc-libs-multilib [RESOLU]

Message par Feng » mar. 24 janv. 2012, 22:54

Dans ce cas quelle est la différence entre lib32 et multilib ?

gcc-libs
lib32-gcc-libs
gcc-libs-multilib

Y'a forcément un paquet dont la nécessité m'échape.

gcc-libs => 64
lib32-gcc-libs => 32
gcc-libs-multilib => 32 selon tes dires

Merci de ta pédagogie :)

benjarobin
Maître du Kyudo
Messages : 15565
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [Conflit] gcc-libs & gcc-libs-multilib [RESOLU]

Message par benjarobin » mar. 24 janv. 2012, 23:01

Je parlais du dépôt multilib et non du paquet nommé multilib :-)
Sinon gcc-libs-multilib doit contenir une partie des bibliothèques pour les applications lib32 compilées par gcc-multilib (Cross compilation de 64 bits vers 32 bits)
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Avatar de l’utilisateur
Feng
yeomen
Messages : 273
Inscription : mer. 07 avr. 2010, 20:19

Re: [Conflit] gcc-libs & gcc-libs-multilib [RESOLU]

Message par Feng » mar. 24 janv. 2012, 23:09

Donc gcc-libs-multilib permet de compiler les paquets 32 bits sur un système 64 right ?

Tout le dépôt multilib a cette vocation ?

benjarobin
Maître du Kyudo
Messages : 15565
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [Conflit] gcc-libs & gcc-libs-multilib [RESOLU]

Message par benjarobin » mer. 25 janv. 2012, 00:08

non, tu as mal lu mes messages, les paquets multilib permet d’exécuter des applications 32 bits alors que tu es en 64 bits
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Goda
Daikyu
Messages : 57
Inscription : mar. 09 nov. 2010, 13:56

Re: [Conflit] gcc-libs & gcc-libs-multilib [RESOLU]

Message par Goda » mer. 25 janv. 2012, 15:10

Salut
Normalement j'ai aucun souci avec mes miroirs et dépots. J'ai pas touché à ma conf depuis hyper longtemps et ça a toujours fonctionné...

Code : Tout sélectionner

@myhost ~]$ sudo pacman -Sii lib32-gcc-libs gcc-libs-multilib
Dépôt                 : multilib
Nom                   : lib32-gcc-libs
Version               : 4.6.2-5.1
URL                   : http://gcc.gnu.org
Licences              : GPL  LGPL  FDL  custom
Groupes               : --
Fournit               : --
Dépend de             : lib32-glibc>=2.14  gcc-libs>=4.6.2
Dépendances opt.      : --
Requis par            : chuck  gcc-libs-multilib  jack2-dbus-multilib  jack2-multilib  lib32-flac  lib32-gmp
                        lib32-libstdc++5  lib32-mesa  lib32-nvidia-utils  lib32-pcre  lib32-v4l-utils
                        nspluginwrapper
Est en conflit avec : --
Remplace              : --
Taille du téléchargement :  728,38 KiB
Taille installé : 2864,00 KiB
Paqueteur             : Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>
Architecture          : x86_64
Compilé le            : sam. 14 janv. 2012 19:50:59 WET
somme MD5             : 0aef80f53490e48cc79fb8e21e525d55
Somme de contrôle SHA256      : a4ac0ef1aadd1e18bababe739b5ffa6074d545fd53eeab3a79851a6c8141b6ce
Signatures	  : Oui
Description           : Runtime libraries shipped by GCC (32-bit)

Dépôt                 : multilib
Nom                   : gcc-libs-multilib
Version               : 4.6.2-5.1
URL                   : http://gcc.gnu.org
Licences              : GPL  LGPL  FDL  custom
Groupes               : --
Fournit               : gcc-libs=4.6.2-5.1
Dépend de             : glibc>=2.14  lib32-gcc-libs=4.6.2-5.1
Dépendances opt.      : --
Requis par            : abuse  agg  alsaplayer  apcupsd  apricots  archboot  aspell  assaultcube  astyle
                        atanks  audiofile  augeas  autopano-sift-c  balz  bbpager  blackbox  blas  bochs
                        boost-libs  botan  bsd-games  capi4hylafax  capseo  catalyst-utils  cdargs  cdck
                        cdrdao  clucene  cmt  codecs  commoncpp2  courier-imap  courier-mta  cppunit
                        crypto++  cuda-toolkit  db  ddd  ddrescue  dillo  directfb  discid  djvulibre  dmd
                        dosbox  doxygen  dvd+rw-tools  dvgrab  dxpc  ecasound  espeak  exempi  exiv2
                        ext3grep  fcgi  fillets-ng  fltk2  fluxbox  fluxter  freehdl  freeimage
                        frei0r-plugins  gc  gcc-avr  gcc-multilib  geos  gettext  gmp  gnucap  gnustep-back
                        gnustep-base  gnustep-gui  gnutls  gperf  gptfdisk  graphite  groff  gsoap  handbrake
                        handbrake-cli  hex-a-hop  ht  html2text  hunspell  ibam  icu  id3  id3lib  id3lib-rcc
                        id3v2  idesk  ilmbase  incron  intel-tbb  iperf  ivtv-utils  jade  js  ktoblzcheck
                        ladspa  lftp  lib32-gcc-libs  libcdio  libcl  libconfig  libebml  libfbclient
                        libftdi  libghemical  libgig  libgl  libgme  libharu  libmatio  libmodplug  libmp4v2
                        libofa  liboglappth  liborigin2  libproxy  libpst  libreoffice-common
                        libreoffice-extension-presentation-minimizer  libreoffice-sdk  libsidplay  libsigc++
                        libsmbios  libstdc++5  libsynaptics  libvdpau  libvirt  libwpd  libzen  lincity-ng
                        live-media  log4cpp  lshw  mac  manedit  medit  mesa  mjpegtools  mpgtx  muparser
                        netcdf  nethogs  nload  nspluginwrapper  ntrack  nx-common  nxserver  ocrad  octave
                        ode  ogmtools  omniorb  openbabel  opencore-amr  opengtl  openjdk6  openlierox
                        opensips  opensp  openthreads  opera  oprofile  p7zip  par2cmdline  pbzip2  pcre
                        pdf2djvu  pdns  pdns-recursor  pekwm  plotutils  podofo  poppler  portaudio_cpp
                        povray  projectm  protobuf  pstoedit  ptlib  python-openbabel  python2-openbabel  r
                        ragel  rar  rar-beta  rarian  re2c  rlog  rxvt-unicode  sdcc  silly  smartmontools
                        snes9x  soundtouch  source-highlight  splix  stk  synergy  taglib  taglib-rcc
                        tesseract  tinyxml  torch  tvision  tvtime  unrar  v4l-utils  v8  vamp-plugin-sdk
                        vbindiff  vice  vigra  virtualbox-archlinux-additions  warmux  wbar  wvdial
                        xapian-core  xerces-c  xmahjongg  xmlrpc-c  xnc  xpacman2  xplc  zeromq  znc  zpaq
                        zsnes
Est en conflit avec : gcc-libs
Remplace              : --
Taille du téléchargement :  742,12 KiB
Taille installé : 2940,00 KiB
Paqueteur             : Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>
Architecture          : x86_64
Compilé le            : sam. 14 janv. 2012 19:50:46 WET
somme MD5             : 517e7e17f1e70d791248759f25ad2e8a
Somme de contrôle SHA256      : ec700c9097a6df3e55340c86c8bf83f55ee05b4c251747850fc29ab5d0de7610
Signatures	  : Oui
Description           : Runtime libraries shipped by GCC for multilib

Avatar de l’utilisateur
rafmav
yeomen
Messages : 263
Inscription : mer. 11 mars 2009, 13:30
Localisation : Europe/France/Auvergne/Haute-Loire
Contact :

Re: [pacman] conflit gcc-libs & gcc-libs-multilib (résolu)

Message par rafmav » jeu. 26 janv. 2012, 17:47

J'ai le même problème et irrésolu: conflit entre gcc-libs et gcc-libs-multilib. Je ne parviens pas à supprimer gcc-libs-multilib dont dépendent d'autres paquets!

J'ai d'abord essayé d'obéir:

Code : Tout sélectionner

sudo pacman -Syyuu
:: Synchronisation des bases de données de paquets...
 core                                                            106,3 KiB   128K/s 00:01 [####################################################] 100%
 extra                                                          1183,5 KiB   217K/s 00:05 [####################################################] 100%
 community                                                      1035,6 KiB   316K/s 00:03 [####################################################] 100%
 multilib                                                         76,5 KiB   238K/s 00:00 [####################################################] 100%
 archlinuxfr                                                      28,3 KiB   190K/s 00:00 [####################################################] 100%
:: Les paquets suivants devraient être mis à jour en premier :
    package-query
:: Voulez-vous annuler l'opération courante et
:: mettre à jour ces paquets maintenant ? [O/n] o

résolution des dépendances...
recherche des conflits entre paquets...
:: gcc-libs et gcc-libs-multilib sont en conflit. Supprimer gcc-libs-multilib ? [o/N] n
Erreur : un conflit de paquets impossible à résoudre a été détecté
Erreur : la préparation de la transaction a échoué (conflit de dépendances)
:: gcc-libs et gcc-libs-multilib sont en conflit
Ensuite j'ai dit non:

Code : Tout sélectionner

sudo pacman -Syyuu
:: Synchronisation des bases de données de paquets...
 core                                                            106,3 KiB   130K/s 00:01 [####################################################] 100%
 extra                                                          1183,5 KiB   205K/s 00:06 [####################################################] 100%
 community                                                      1035,6 KiB   238K/s 00:04 [####################################################] 100%
 multilib                                                         76,5 KiB   110K/s 00:01 [####################################################] 100%
 archlinuxfr                                                      28,3 KiB  95,4K/s 00:00 [####################################################] 100%
:: Les paquets suivants devraient être mis à jour en premier :
    package-query
:: Voulez-vous annuler l'opération courante et
:: mettre à jour ces paquets maintenant ? [O/n] o

résolution des dépendances...
recherche des conflits entre paquets...
:: gcc-libs et gcc-libs-multilib sont en conflit. Supprimer gcc-libs-multilib ? [o/N] o
Erreur : la préparation de la transaction a échoué (la satisfaction des dépendances a échoué)
:: gcc-multilib : requiert gcc-libs-multilib=4.6.2-5
J'ai changé de réponse non: pas mieux:

Code : Tout sélectionner

sudo pacman -Syyuu
:: Synchronisation des bases de données de paquets...
 core                                                            106,3 KiB   209K/s 00:01 [####################################################] 100%
 extra                                                          1183,5 KiB   302K/s 00:04 [####################################################] 100%
 community                                                      1035,6 KiB   195K/s 00:05 [####################################################] 100%
 multilib                                                         76,5 KiB   181K/s 00:00 [####################################################] 100%
 archlinuxfr                                                      28,3 KiB   154K/s 00:00 [####################################################] 100%
:: Les paquets suivants devraient être mis à jour en premier :
    package-query
:: Voulez-vous annuler l'opération courante et
:: mettre à jour ces paquets maintenant ? [O/n] n

:: Début de la mise à jour complète du système...
:: Remplacer module-init-tools par core/kmod ? [O/n] n
résolution des dépendances...
Avertissement : cycle de dépendances détecté :
Avertissement : lib32-gcc-libs sera installé avant sa dépendance gcc-libs-multilib
recherche des conflits entre paquets...
:: kmod et module-init-tools sont en conflit. Supprimer module-init-tools ? [o/N] n
Erreur : un conflit de paquets impossible à résoudre a été détecté
Erreur : la préparation de la transaction a échoué (conflit de dépendances)
:: kmod et module-init-tools sont en conflit
Je ne parviens même pas à supprimer gcc-libs-multilib:

Code : Tout sélectionner

sudo pacman -R gcc-libs-multilib 
vérification des dépendances...
Erreur : la préparation de la transaction a échoué (la satisfaction des dépendances a échoué)
:: agg : requiert gcc-libs
:: android-apktool : requiert gcc-libs
:: aspell : requiert gcc-libs
Comment fait-on alors ?
Faut-il et peut-on se passer du dépôt multilib ?
#rmv$@f29£8µ1
Ma petite paresse me perdra...
Si vous ne voulez pas vous tromper, ne faites rien!
Impossible est impossible: est venue une personne qui ne savais pas que c'était impossible, et qui l'a fait!

benjarobin
Maître du Kyudo
Messages : 15565
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [pacman] conflit gcc-libs & gcc-libs-multilib (résolu)

Message par benjarobin » jeu. 26 janv. 2012, 17:54

Tu as oublie la seul et unique bonne solution qui est :

Code : Tout sélectionner

mettre à jour ces paquets maintenant ? [O/n] n
:: Remplacer module-init-tools par core/kmod ? [O/n] o
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Avatar de l’utilisateur
rafmav
yeomen
Messages : 263
Inscription : mer. 11 mars 2009, 13:30
Localisation : Europe/France/Auvergne/Haute-Loire
Contact :

Re: [pacman] conflit gcc-libs & gcc-libs-multilib (résolu)

Message par rafmav » jeu. 26 janv. 2012, 18:03

ça je l'ai fait cette après-midi, et il a passé sont temps à me demander d'accepter des clés GPG/PGP, une par paquet, puis n'a rien installé du tout (83 paquets non installés je crois). je réessaye!

Même résultat:

Code : Tout sélectionner

sudo pacman -Suu
:: Les paquets suivants devraient être mis à jour en premier :
    package-query
:: Voulez-vous annuler l'opération courante et
:: mettre à jour ces paquets maintenant ? [O/n] n

:: Début de la mise à jour complète du système...
:: Remplacer module-init-tools par core/kmod ? [O/n] o
résolution des dépendances...
Avertissement : cycle de dépendances détecté :
Avertissement : lib32-gcc-libs sera installé avant sa dépendance gcc-libs-multilib
recherche des conflits entre paquets...

Cibles (86) : akonadi-1.7.0-1  
...
...
...
Taille totale de téléchargement : 	17,63 MiB
Taille totale installé :		626,96 MiB
Taille de mise à jour nette :	-32,07 MiB

Procéder à l'installation ? [O/n] o
:: Récupération des paquets du dépôt extra...
 smbclient-3.6.2-1-x86_64                                          7,7 MiB   390K/s 00:20 [####################################################] 100%
 samba-3.6.2-1-x86_64                                              9,9 MiB   413K/s 00:25 [####################################################] 100%
(85/85) vérification de l'intégrité des paquets                                           [####################################################] 100%
Erreur : akonadi: signature from "Axxxxx Xxxxxxxx (Arch Linux) <xxxxx@axxxxxx.org>" is unknown trust
...
Erreur : gcc-libs-multilib: signature from "Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>" is unknown trust
Erreur : clucene: key "XXXXXXXXXX" is unknown
:: Importation de la clé PGP YYYYYYYYY, « Axxxxxxx Rxxxxxx <xxxxx@gxxxxx.com> », 2011-09-29 créée ? [O/n] 
J'arrête le processus là, car il va me refaire le cirque de demander des clés PGP pour finalement ne rien installer!
#rmv$@f29£8µ1
Ma petite paresse me perdra...
Si vous ne voulez pas vous tromper, ne faites rien!
Impossible est impossible: est venue une personne qui ne savais pas que c'était impossible, et qui l'a fait!

benjarobin
Maître du Kyudo
Messages : 15565
Inscription : sam. 30 mai 2009, 15:48
Localisation : Lyon

Re: [pacman] conflit gcc-libs & gcc-libs-multilib (résolu)

Message par benjarobin » jeu. 26 janv. 2012, 18:12

C'est un autre problème ! Merci de créé un sujet et de lire la news associé à pacman 4
Zsh | KDE | PC fixe : core i7, carte nvidia | Portable : Asus ul80vt
Titre d'un sujet : [Thème] Sujet (état)

Avatar de l’utilisateur
tuxce
Maître du Kyudo
Messages : 6677
Inscription : mer. 12 sept. 2007, 16:03
Contact :

Re: [pacman] conflit gcc-libs & gcc-libs-multilib (résolu)

Message par tuxce » jeu. 26 janv. 2012, 18:15

[EDIT]solution donnée, mais comme j'ai déjà écrit le message, autant le poster :)[/EDIT]
Ce n'est pas ou bien "oui" à tout ou alors "non" à tout, il faut comprendre à quoi on répond !
package-query dans ses dépendances arrive à gcc-libs:

Code : Tout sélectionner

$ pactree package-query
|--package-query
   |--pacman
      |--libarchive
         |--openssl
            |--perl
               |--coreutils
                  |--gmp
                     |--gcc-libs
Donc, si tu ne mets à jour que package-query il va aller chercher gcc-libs que tu n'as pas et va trouver un conflit avec le gcc-libs-multilib installé car il faut qu'il soit mis à jour aussi d'où le fait de mettre tout à jour et non seulement package-query. (gcc-libs-multilib sera compris dans la mise à jour et la nouvelle version donne l'équivalence avec la nouvelle version de gcc-libs)

Maintenant, si tu réponds non, donc mise à jour complète et qu'ensuite, tu lui dises "non" pour ce qu'il veut faire (remplacer certains paquets), c'est normal qu'il s'arrête.

Pour les clés, comme précisé, merci d'ouvrir un autre sujet ou de voir celui ci: http://forums.archlinux.fr/topic10160.html (par exemple)

Avatar de l’utilisateur
rafmav
yeomen
Messages : 263
Inscription : mer. 11 mars 2009, 13:30
Localisation : Europe/France/Auvergne/Haute-Loire
Contact :

Re: [pacman] conflit gcc-libs & gcc-libs-multilib (résolu)

Message par rafmav » jeu. 26 janv. 2012, 20:26

:oops: Pour les clés, ok hors sujet, et j'ai résolut tout seul. J'avais juste omis de remplacer mon /etc/pacman.conf par le /etc/pacman.conf.pacnew et de l'adapter. D'ailleurs, j'ai laissé l'utilisation des clés à never, comme avant! :x Ma petite paresse me perdra...
Mais c'est le même sujet, car dans après le changement de pacman.conf, je n'ai pas eu d'ennui, sauf à m'apercevoir que le dépôt multilib était désactivé! J'ai fait les mises à jour de multilib ensuite, sans problème

Démarche après le changement de pacman.conf :

Code : Tout sélectionner

sudo pacman -Syyuu
:: Synchronisation des bases de données de paquets...
 core                                                            106,3 KiB   343K/s 00:00 [####################################################] 100%
 extra                                                          1183,5 KiB   600K/s 00:02 [####################################################] 100%
 community                                                      1035,3 KiB   608K/s 00:02 [####################################################] 100%
 archlinuxfr                                                      28,3 KiB   198K/s 00:00 [####################################################] 100%
:: Les paquets suivants devraient être mis à jour en premier :
    package-query
:: Voulez-vous annuler l'opération courante et
:: mettre à jour ces paquets maintenant ? [O/n] n

:: Début de la mise à jour complète du système...
:: Remplacer module-init-tools par core/kmod ? [O/n] o
résolution des dépendances...
recherche des conflits entre paquets...
:: gcc-libs et gcc-libs-multilib sont en conflit. Supprimer gcc-libs-multilib ? [o/N] o
:: gcc et gcc-multilib sont en conflit. Supprimer gcc-multilib ? [o/N] o

Cibles (71) : akonadi-1.7.0-1
...
...
...
Taille totale de téléchargement : 	17,77 MiB
Taille totale installé :		589,51 MiB
Taille de mise à jour nette :	-8,37 MiB

Procéder à l'installation ? [O/n] o
Enfin, merci pour votre aide!
#rmv$@f29£8µ1
Ma petite paresse me perdra...
Si vous ne voulez pas vous tromper, ne faites rien!
Impossible est impossible: est venue une personne qui ne savais pas que c'était impossible, et qui l'a fait!

Avatar de l’utilisateur
tuxce
Maître du Kyudo
Messages : 6677
Inscription : mer. 12 sept. 2007, 16:03
Contact :

Re: [pacman] conflit gcc-libs & gcc-libs-multilib (résolu)

Message par tuxce » jeu. 26 janv. 2012, 20:52

En même temps, si tu supprimes [multilib] qui contient gcc-libs-multilib ... :|

Répondre